Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Message_Queue_Factory Class Template Reference

ACE_Message_Queue_Factory is a static factory class template which provides a separate factory method for each of the major kinds of priority based message dispatching: static, earliest deadline first (EDF), and minimum laxity first (MLF). More...

`#include <Message_Queue_T.h>`

List of all members.

## Static Public Methods
ACE_Message_Queue<ACE_SYNCH_USE>* | create_static_message_queue (size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM, size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM, ACE_Notification_Strategy * = 0)
| factory method for a statically prioritized ACE_Message_Queue.
ACE_Dynamic_Message_Queue< ACE_SYNCH_USE>* | create_deadline_message_queue (size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM, size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM, ACE_Notification_Strategy * = 0, u_long static_bit_field_mask = 0x3FFUL, u_long static_bit_field_shift = 10, u_long dynamic_priority_max = 0x3FFFFFUL, u_long dynamic_priority_offset = 0x200000UL)
| factory method for a dynamically prioritized (by time to deadline) ACE_Dynamic_Message_Queue.
ACE_Dynamic_Message_Queue< ACE_SYNCH_USE>* | create_laxity_message_queue (size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM, size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM, ACE_Notification_Strategy * = 0, u_long static_bit_field_mask = 0x3FFUL, u_long static_bit_field_shift = 10, u_long dynamic_priority_max = 0x3FFFFFUL, u_long dynamic_priority_offset = 0x200000UL)
| factory method for a dynamically prioritized (by laxity) ACE_Dynamic_Message_Queue.

## Detailed Description

### template<ACE_SYNCH_DECL> template class ACE_Message_Queue_Factory

ACE_Message_Queue_Factory is a static factory class template which provides a separate factory method for each of the major kinds of priority based message dispatching: static, earliest deadline first (EDF), and minimum laxity first (MLF).

The ACE_Dynamic_Message_Queue class assumes responsibility for releasing the resources of the strategy with which it was constructed: the user of a message queue constructed by any of these factory methods is only responsible for ensuring destruction of the message queue itself.

## Member Function Documentation

template<ACE_SYNCH_DECL>
ACE_Dynamic_Message_Queue< ACE_SYNCH_USE >* ACE_Message_Queue_Factory<>::create_deadline_message_queue ( | size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM,
| size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM,
| ACE_Notification_Strategy * ns = 0,
| u_long static_bit_field_mask = 0x3FFUL,
| u_long static_bit_field_shift = 10,
| u_long dynamic_priority_max = 0x3FFFFFUL,
| u_long dynamic_priority_offset = 0x200000UL )`[static]`

| factory method for a dynamically prioritized (by time to deadline) ACE_Dynamic_Message_Queue.

template<ACE_SYNCH_DECL>
ACE_Dynamic_Message_Queue< ACE_SYNCH_USE >* ACE_Message_Queue_Factory<>::create_laxity_message_queue ( | size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM,
| size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM,
| ACE_Notification_Strategy * ns = 0,
| u_long static_bit_field_mask = 0x3FFUL,
| u_long static_bit_field_shift = 10,
| u_long dynamic_priority_max = 0x3FFFFFUL,
| u_long dynamic_priority_offset = 0x200000UL )`[static]`

| factory method for a dynamically prioritized (by laxity) ACE_Dynamic_Message_Queue.

template<ACE_SYNCH_DECL>
ACE_Message_Queue< ACE_SYNCH_USE >* ACE_Message_Queue_Factory<>::create_static_message_queue ( | size_t hwm = ACE_Message_Queue_Base::DEFAULT_HWM,
| size_t lwm = ACE_Message_Queue_Base::DEFAULT_LWM,
| ACE_Notification_Strategy * ns = 0 )`[static]`

| factory method for a statically prioritized ACE_Message_Queue.

The documentation for this class was generated from the following files:

- Message_Queue_T.h
- Message_Queue_T.cpp